package com.ruoyi.web.controller.common;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Objects;

public class DemoData {
    private String BarCode;

    private Map<String, List<Map<String,String>>> map;

    private String date;

    public void setDate(String date) {
        this.date = date;
    }

    public String getBarCode() {
        return BarCode;
    }

    public void setBarCode(String barCode) {
        BarCode = barCode;
    }

    public Map<String, List<Map<String,String>>> getMap() {
        return map;
    }

    public void setMap(Map<String, List<Map<String,String>>> map) {
        this.map = map;
    }

    public DemoData(String barCode) {
        BarCode = barCode;
    }

    public String getDate() {
        return date;
    }

    public DemoData() {
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DemoData demoData = (DemoData) o;
        return Objects.equals(BarCode, demoData.BarCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(BarCode);
    }

    @Override
    public String toString() {
        return "DemoData{" +
                 BarCode + '\'' +
                ", map=" + map +
                '}';
    }
}
